using PkmnLib.Plugin.Gen7.Scripts.Battle;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "snatch")]
public class Snatch : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        move.Battle.Volatile.Add(new SnatchEffect());
        var snatchEffect = move.Battle.Volatile.Get<SnatchEffect>();
        snatchEffect?.AddSnatcher(target);
    }
}